cURL
curl --request POST \ --url https://api.example.com/api/profiles/register \ --header 'Content-Type: application/json' \ --data ' { "firebase_uid": "<string>", "email": "<string>", "full_name": "<string>", "company_name": "<string>" } '
{ "id": "<string>", "email": "<string>", "full_name": "<string>", "company_name": "<string>", "role": "<string>", "registration_status": "<string>", "created_at": "<string>" }
Create a new user profile after Firebase signup
curl -X POST https://api.sari-platform.com/api/profiles/register \ -H "Content-Type: application/json" \ -d '{ "firebase_uid": "firebase-uid-string", "email": "user@example.com", "full_name": "John Doe", "company_name": "Acme Corp" }'
admin
client
pending
approved
rejected
{ "id": "550e8400-e29b-41d4-a716-446655440000", "email": "user@example.com", "full_name": "John Doe", "company_name": "Acme Corp", "role": "client", "registration_status": "pending", "created_at": "2024-01-15T10:30:00Z" }